/*=========================================================================

  Program:   Visualization Toolkit
  Module:    $RCSfile: vtkITKNoiseImageFilter.h,v $
  Language:  C++
  Date:      $Date: 2003/04/14 19:44:08 $
  Version:   $Revision: 1.2 $
*/
// .NAME vtkITKNoiseImageFilter - Wrapper class around itk::NoiseImageFilterImageFilter
// .SECTION Description
// vtkITKNoiseImageFilter


#ifndef __vtkITKNoiseImageFilter_h
#define __vtkITKNoiseImageFilter_h


#include "vtkITKImageToImageFilterFF.h"
#include "itkNoiseImageFilter.h"
#include "vtkObjectFactory.h"


//Exercise: Fill the gaps enclosed between $$---$$ with the proper code line/s
//NOTE: You can use other examples under Modules/vtkITK/cxx for guidance.


class VTK_EXPORT vtkITKNoiseImageFilter : public $$---$$
{
 public:
  static vtkITKNoiseImageFilter *New();
  vtkTypeRevisionMacro(vtkITKNoiseImageFilter, $$---$$);
  
  void SetRadius (int x, int y, int z)
  {
    // Fill the variable radius
    $$$ ---- $$
    DelegateITKInputMacro(SetRadius, radius);
  };
  
protected:
  //BTX
  // Define Filter Type: ImageFilterType
  $$----$$
  vtkITKNoiseImageFilter() : Superclass ( ImageFilterType::New() ){};
  ~vtkITKNoiseImageFilter() {};
  ImageFilterType* GetImageFilterPointer() { return dynamic_cast<ImageFilterType*> ( m_Filter.GetPointer() ); }

  //ETX
  
private:
  vtkITKNoiseImageFilter(const vtkITKNoiseImageFilter&);  // Not implemented.
  void operator=(const vtkITKNoiseImageFilter&);  // Not implemented.
  
};

vtkCxxRevisionMacro(vtkITKNoiseImageFilter, "$Revision: 1.2 $");
vtkStandardNewMacro(vtkITKNoiseImageFilter);

#endif




